<?php
  class AnomateStyles {
    public function __construct() {
      add_action( 'wp_head', array($this, 'hook') );
    }
    
    public function hook() {
      $brand_color = get_option('anomate_brand_color');

      if (!$brand_color) {
        $brand_color = '#000000';
      }

      echo '
        <style>
          :root {
            --anomate-brand-color: ' . esc_attr($brand_color) . ';
          }
        </style>
      ';
    }
  }

  new AnomateStyles();
?>