<?php global $product; ?>
<?php if ($product) : ?>
  <?php $attributes = $product->get_attributes(); ?>
  <div class="anomate-modal" id="anomate-email-this-product">
    <div class="anomate-modal__content">
      <div class="anomate-modal__head">
        <button class="anomate-modal__close">
          <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 18 18" fill="none" class="anomate-modal__close-icon">
            <path d="M15.1406 14.9296L3.28125 3.07031L15.1406 14.9296ZM15.1406 3.07031L3.28125 14.9296L15.1406 3.07031Z" fill="#D9D9D9"/>
            <path d="M15.1406 14.9296L3.28125 3.07031M15.1406 3.07031L3.28125 14.9296" stroke="#D9D9D9" stroke-width="1.48242" stroke-linecap="round"/>
          </svg>
        </button>
      </div>
      <div class="anomate-modal__body">
        <div class="anomate-bis anomate-bis_email-this-product">
          <h3 class="anomate-bis__title anomate-bis__title_email-this-product anomate-email-templates-subtitle-1-semibold"><?php esc_html_e('You need to think about it?', 'anomate-helper'); ?></h3>
          <div class="anomate-bis__product">
            <div class="anomate-bis__product-image"><?php echo wp_kses_post( $product->get_image('medium') ); ?></div>
            <div class="anomate-bis__meta">
              <div class="anomate-bis__product-title anomate-email-templates-paragraph-1-medium"><?php echo esc_attr( $product->get_title() ); ?></div>
            </div>
          </div>
          <div class="anomate-bis__sign-title anomate-bis__sign-title_email-this-product anomate-email-templates-paragraph-1-regular"><?php esc_html_e('Sign up to receive information about this product directly in your inbox.', 'anomate-helper'); ?></div>
          <form action="<?php the_permalink(); ?>" class="anomate-bis__form anomate-bis__form_email-this-product">
            <input type="email" name="email" id="anomate_email_this_product_email" placeholder="<?php esc_html_e('Email*', 'anomate-helper'); ?>" class="anomate-input" required>
            <?php anomate_get_checkboxes('anomate_email_this_product'); ?>
            <input type="hidden" name="product_id" id="anomate_email_this_product_product_id" value="<?php echo esc_attr( $product->get_id() ); ?>">
            <button class="anomate-button anomate-button_fw anomate-bis__button anomate-bis__button_email-this-product" disabled><?php esc_html_e('Notify me', 'anomate-helper'); ?></button>
            <input type="hidden" name="action" value="anomate_email_this_product_save_entry">
            <input type="hidden" name="_wpnonce" value="<?php echo esc_attr( wp_create_nonce('anomate') ); ?>">
          </form>
        </div>
      </div>
    </div>
  </div>
<?php endif; ?>