<?php if (isset($data->raffleSetup->datesAndTime->datesAndTime->startDate) && $data->raffleSetup->datesAndTime->datesAndTime->startDate && isset($data->raffleSetup->datesAndTime->datesAndTime->endDate) && $data->raffleSetup->datesAndTime->datesAndTime->endDate) : ?>
  <?php
    $now = new DateTime('now');
    $start_date = new DateTime($data->raffleSetup->datesAndTime->datesAndTime->startDate);
    $end_date = new DateTime($data->raffleSetup->datesAndTime->datesAndTime->endDate);
  ?>
  <div class="anomate-g-countdown-wrapper">
    <?php if ($start_date > $now) : ?>
      <p class="anomate-g-description"><?php esc_html_e('Starts in', 'anomate-helper'); ?></p>
      <div id="countdown" data-timezone="<?php esc_attr_e($start_date->getOffset() / 3600); ?>" data-end="<?php esc_attr_e( $start_date->getTimestamp() ); ?>" class="anomate-g-countdown anomate-g-countdown_landing<?php if ( ($entried && !$confirmed) || $just_confirmed ) : ?> anomate-g-countdown_confirm<?php endif; ?>"></div>
    <?php elseif ($start_date < $now && $end_date > $now) : ?>
      <div id="countdown" data-timezone="<?php esc_attr_e($end_date->getOffset() / 3600); ?>" data-end="<?php esc_attr_e( $end_date->getTimestamp() ); ?>" class="anomate-g-countdown anomate-g-countdown_landing<?php if ( ($entried && !$confirmed) || $just_confirmed ) : ?> anomate-g-countdown_confirm<?php endif; ?>"></div>
    <?php else : ?>
      <div class="anomate-g-alert"><?php esc_html_e('Ended', 'anomate-helper'); ?></div>
    <?php endif; ?>
    <?php if ($just_confirmed) : ?>
      <div class="anomate-g-confirm">
        <h3 class="anomate-g-confirm__title"><?php esc_html_e('Subscription confirmed!', 'anomate-helper'); ?></h3>
        <div class="anomate-g-confirm__description"><?php esc_html_e('Thank you for confirming your email. You\'re now officially part of our exciting raffle giveaway. May the odds be in your favor!', 'anomate-helper'); ?></div>
        <?php require $template_dir . 'entries.php'; ?>
      </div>
    <?php elseif ($entried && !$confirmed) : ?>
      <div class="anomate-g-confirm">
        <h3 class="anomate-g-confirm__title"><?php esc_html_e('Confirm your subscription!', 'anomate-helper'); ?></h3>
        <div class="anomate-g-confirm__description">
          <?php
            echo wp_kses(__('Please check your inbox for a confirmation email to finalize your participation. <br>We can\'t wait to see you in the raffle!', 'anomate-helper'), array(
              'br' => array(),
            ) );
          ?>
        </div>
      </div>
    <?php elseif ($confirmed) : ?>
      <div class="anomate-g-confirm">
        <h3 class="anomate-g-confirm__title"><?php esc_html_e('Share the Fun!', 'anomate-helper'); ?></h3>
        <div class="anomate-g-confirm__description">
          <?php
            echo wp_kses(__('Invite your friends to participate in our giveaway and collect more entries! <br>Every share increases your chances of scooting away with the grand prize!', 'anomate-helper'), array(
              'br' => array(),
            ) );
          ?>
        </div>
        <?php require $template_dir . 'entries.php'; ?>
      </div>
    <?php endif; ?>
  </div>
<?php endif; ?>