<?php
  global $wp_query;

  $ref = null;

  if (isset($_GET['ref']) && $_GET['ref']) {
    $ref = $_GET['ref'];
  } else if (isset($_COOKIE['raffleRef']) && $_COOKIE['raffleRef']) {
    $raffle_ref = json_decode(str_replace('\\', '', $_COOKIE['raffleRef']), true);

    if ( !empty($raffle_ref) ) {
      foreach ($raffle_ref as $item) {
        if (isset($item['shopCampaignId']) && $item['shopCampaignId'] == $wp_query->query_vars['anomate_giveaway_id'] && isset($item['ref']) && $item['ref']) {
          $ref = $item['ref'];
        }
      }
    }
  }
?>
<form action="<?php echo esc_url( home_url('/') ); ?>" class="anomate-g-form">
  <div class="anomate-g-form__input-wrapper">
    <input type="text" class="anomate-input anomate-g-form__input" name="first_name" id="first_name" placeholder="<?php esc_attr_e('First name', 'anomate-helper'); ?>">
  </div>
  <div class="anomate-g-form__input-wrapper">
    <input type="email" class="anomate-input anomate-g-form__input" name="email" id="email" placeholder="<?php esc_attr_e('Email', 'anomate-helper'); ?>" required>
  </div>
  <?php anomate_get_checkboxes('anomate_raffle_giveaway_entry'); ?>
  <button type="submit" class="anomate-button anomate-g-form__button"><?php echo esc_attr( (isset($data->landingPage->buttonLabel) && $data->landingPage->buttonLabel) ? $data->landingPage->buttonLabel : __('Button Label', 'anomate-helper') ); ?></button>
  <input type="hidden" name="action" value="anomate_raffle_giveaway_entry">
  <input type="hidden" name="_wpnonce" value="<?php echo esc_attr( wp_create_nonce('anomate') ); ?>">
  <input type="hidden" name="shop_campaign_id" value="<?php echo esc_attr($wp_query->query_vars['anomate_giveaway_id']); ?>">
  <?php if ($ref) : ?>
    <input type="hidden" name="ref" value="<?php echo esc_attr($ref); ?>">
  <?php endif; ?>
</form>